6.0.0-git
2019-05-19

[#14124] Implement RFC 4770 (vCard Extensions for Instant Messaging)
Summary Implement RFC 4770 (vCard Extensions for Instant Messaging)
Queue Turba
Queue Version Git master
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester janphilipp (at) litza (dot) de
Created 2015-10-03 (1324 days ago)
Due
Updated 2019-05-02 (17 days ago)
Assigned
Resolved
Milestone
Patch No

History
2019-05-02 14:37:58 fabiojsousa (at) gmail (dot) com Comment #6 Reply to this comment
Hello,

Any news about this discussion? I'm trying to implement the Horde 
Groupware Webmail Edition 5.2.21 on my company but without success 
because my email clients can't get the free-busy information of my 
attendees ...

Any help would be greatly appreciated
2018-01-09 21:02:08 ramack (at) raphael-mack (dot) de Comment #5 Reply to this comment
Time is no easy to give you.
Money? Some EURs I'd be willing to sponsor e. g. via Liberapay, with 
paypal I am not registered.
Patches? Also doesn't look easy to get into the development, my PHP 
knowledge is aged and I would need a lot of guidence, where to start 
and what to do for this. Horde is so big, that it is hard to find a 
start and I don't know what is important and what I can safely skip. 
And how to test it? - I just install horde via pear, so how do I get a 
working copy for testing?

2017-11-12 22:02:45 Michael Rubinsky Comment #4 Reply to this comment
Time, money, patches....
2017-11-12 21:05:40 ramack (at) raphael-mack (dot) de Comment #3 Reply to this comment
it would be really cool to see this implemented soon.
What is needed to do so? Can I help even though my php knowledge is 
somehow aged?
2016-01-15 13:56:12 Jan Schneider Comment #2
State ⇒ Accepted
Reply to this comment
We would actually need to add new attributes to implement more 
specific IMMP types like the current generic imaddress attributes.
We need to discuss whether to enable them in the default scheme too.
2015-10-03 07:42:27 janphilipp (at) litza (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Implement RFC 4770 (vCard Extensions for Instant Messaging)
Queue ⇒ Turba
Milestone ⇒
Patch ⇒ No
Reply to this comment
The Instant Messenger fields of a contact currently do not mention, 
which protocol the address is intended for, and are exported (via 
CardDAV for example) as X-WV-ID attributes. However, there is a 
standard for Instant Messenger vCard attributes (RFC 4770) that was 
since release integrated into the vCard 4.0 standard, using the IMPP 
attribute. It is understood for example by DAVdroid, a CardDAV sync 
application for Android, and contains the mentioned notion of protocol.

Saved Queries